import {EntityRepository, Repository} from "typeorm";
import {BenefitsAndAdvantageSectionCmsEntity} from "./entities/benefits-and-advantage-section-cms.entity";
import {BenefitsAndAdvantageSectionCmsDto} from "./dto/benefits-and-advantage-section-cms.dto";

@EntityRepository(BenefitsAndAdvantageSectionCmsEntity)
export class BenefitsAndAdvantageSectionCmsRepository extends Repository<BenefitsAndAdvantageSectionCmsEntity> {

    async createEntity(dto: BenefitsAndAdvantageSectionCmsDto): Promise<BenefitsAndAdvantageSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: BenefitsAndAdvantageSectionCmsDto, id: string): Promise<BenefitsAndAdvantageSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                sectionTitle: dto.sectionTitle,
                sectionSubTitle: dto.sectionSubTitle
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<BenefitsAndAdvantageSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}