import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {CareerDetailsPageCmsService} from "./career-details-page-cms.service";
import {UpdateCareerDetailsPageCmsDto} from "./dto/update-career-details-page-cms.dto";

@Controller({path: "career-details-page-cms", version: Constants.API_VERSION_1})

export class CareerDetailsPageCmsController {
    constructor(private readonly service: CareerDetailsPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateCareerDetailsPageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
