import {EntityRepository, Repository} from "typeorm";
import {HeaderFooterCmsEntity} from "./entities/header-footer-cms.entity";
import {UpdateHeaderFooterCmsDto} from "./dto/update-header-footer-cms.dto";

@EntityRepository(HeaderFooterCmsEntity)
export class HeaderFooterCmsRepository extends Repository<HeaderFooterCmsEntity> {

    async createEntity(dto: UpdateHeaderFooterCmsDto): Promise<HeaderFooterCmsEntity | Error> {
        try {
            const entity = this.create({
                siteLogo: dto.siteLogo,
                footerDescription: dto.footerDescription,
                copyrightText: dto.copyrightText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHeaderFooterCmsDto, id: string): Promise<HeaderFooterCmsEntity | Error> {
        try {
            await this.update(id, {
                siteLogo: dto.siteLogo,
                footerDescription: dto.footerDescription,
                copyrightText: dto.copyrightText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HeaderFooterCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}