import {EntityRepository, Repository} from "typeorm";
import {SchedulePageCms} from "./entities/schedule-page-cms.entity";
import {UpdateSchedulePageCmsDto} from "./dto/update-schedule-page-cms.dto";

@EntityRepository(SchedulePageCms)
export class SchedulePageCmsRepository extends Repository<SchedulePageCms> {

    async createEntity(dto: UpdateSchedulePageCmsDto): Promise<SchedulePageCms | Error> {
        try {
            const entity = this.create({
                icon: dto.icon,
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                description: dto.description,
                subscriptionCheckboxText: dto.subscriptionCheckboxText,
                buttonText: dto.buttonText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateSchedulePageCmsDto, id: string): Promise<SchedulePageCms | Error> {
        try {
            await this.update(id, {
                icon: dto.icon,
                pageTitle: dto.pageTitle,
                pageSubTitle: dto.pageSubTitle,
                description: dto.description,
                subscriptionCheckboxText: dto.subscriptionCheckboxText,
                buttonText: dto.buttonText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SchedulePageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}