import {EntityRepository, Repository} from "typeorm";
import {SitePageTitleCmsEntity} from "./entities/site-page-title-cms.entity";
import {UpdateSitePageTitleCmsDto} from "./dto/update-site-page-title-cms.dto";

@EntityRepository(SitePageTitleCmsEntity)
export class SitePageTitleCmsRepository extends Repository<SitePageTitleCmsEntity> {

    async createEntity(dto: UpdateSitePageTitleCmsDto): Promise<SitePageTitleCmsEntity | Error> {
        try {
            const entity = this.create({
                signupPageTitle: dto.signupPageTitle,
                loginPageTitle: dto.loginPageTitle,
                homePageTitle: dto.homePageTitle,
                aboutPageTitle: dto.aboutPageTitle,
                pricingPageTitle: dto.pricingPageTitle,
                contactPageTitle: dto.contactPageTitle,
                careerPageTitle: dto.careerPageTitle,
                careerDetailsPageTitle: dto.careerDetailsPageTitle,
                faqPageTitle: dto.faqPageTitle,
                faqDetailsPageTitle: dto.faqDetailsPageTitle,
                partnerPageTitle: dto.partnerPageTitle,
                pressKitPageTitle: dto.pressKitPageTitle,
                termsPageTitle: dto.termsPageTitle,
                securityPageTitle: dto.securityPageTitle,
                privacyPageTitle: dto.privacyPageTitle,
                schedulePageTitle: dto.schedulePageTitle,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateSitePageTitleCmsDto, id: string): Promise<SitePageTitleCmsEntity | Error> {
        try {
            await this.update(id, {
                signupPageTitle: dto.signupPageTitle,
                loginPageTitle: dto.loginPageTitle,
                homePageTitle: dto.homePageTitle,
                aboutPageTitle: dto.aboutPageTitle,
                pricingPageTitle: dto.pricingPageTitle,
                contactPageTitle: dto.contactPageTitle,
                careerPageTitle: dto.careerPageTitle,
                careerDetailsPageTitle: dto.careerDetailsPageTitle,
                faqPageTitle: dto.faqPageTitle,
                faqDetailsPageTitle: dto.faqDetailsPageTitle,
                partnerPageTitle: dto.partnerPageTitle,
                pressKitPageTitle: dto.pressKitPageTitle,
                termsPageTitle: dto.termsPageTitle,
                securityPageTitle: dto.securityPageTitle,
                privacyPageTitle: dto.privacyPageTitle,
                schedulePageTitle: dto.schedulePageTitle,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<SitePageTitleCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}