import {EntityRepository, Repository} from "typeorm";
import {TermsPageCmsEntity} from "./entities/terms-page-cms.entity";
import {UpdateTermsPageCmsDto} from "./dto/update-terms-page-cms.dto";

@EntityRepository(TermsPageCmsEntity)
export class TermsPageCmsRepository extends Repository<TermsPageCmsEntity> {

    async createEntity(dto: UpdateTermsPageCmsDto): Promise<TermsPageCmsEntity | Error> {
        try {
            const entity = this.create({
                pageTitle: dto.pageTitle,
                termsofUseIcon: dto.termsofUseIcon,
                termsofUseTitle: dto.termsofUseTitle,
                file: dto.file,
                getApplicationTitle: dto.getApplicationTitle,
                getApplicationLink: dto.getApplicationLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateTermsPageCmsDto, id: string): Promise<TermsPageCmsEntity | Error> {
        try {
            await this.update(id, {
                pageTitle: dto.pageTitle,
                termsofUseIcon: dto.termsofUseIcon,
                termsofUseTitle: dto.termsofUseTitle,
                file: dto.file,
                getApplicationTitle: dto.getApplicationTitle,
                getApplicationLink: dto.getApplicationLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<TermsPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}