import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {CareerTeamRepository} from "./career-team.repository";
import {CareerTeamController} from "./career-team.controller";
import {CareerTeamService} from "./career-team.service";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([CareerTeamRepository])
    ],
    controllers: [CareerTeamController],
    providers: [CareerTeamService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class CareerTeamModule {
}
