import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {OfficeContentRepository} from './office-content.repository';
import {OfficeContentController} from './office-content.controller';
import {OfficeContentService} from './office-content.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([OfficeContentRepository])
    ],
    controllers: [OfficeContentController],
    providers: [OfficeContentService, JwtHelper]
})
export class OfficeContentModule {
}
