import { IsNotEmpty, IsOptional } from "class-validator";
import { CoreEntity } from "src/core/core.entity";
import { invitationStatusType } from "src/enum-type/invitation-status.enum";
import { Column, Entity } from "typeorm";

@Entity("event-schedule")
export class EventScheduleEntity extends CoreEntity {
    @Column()
    eventName: string;

    @Column()
    startTime: Date;

    @Column()
    endTime: Date;

    @Column()
    guestEmail: string;

    @Column()
    invitedUserId: string;

    @Column()
    invitedBy: string;

    @Column({ nullable: true, default: null })
    description: string;
}
