import {CoreEntity} from "src/core/core.entity";
import { notificationType } from "src/enum-type/notification.enum";
import {Column, Entity} from "typeorm";

@Entity("notification")
export class Notification extends CoreEntity {
  @Column()
  userId: string;

  @Column()
  transactionId: string;

  @Column()
  inviteId: string;

  @Column({type: "enum", enum: notificationType})
  type: notificationType;

  @Column({ type: 'boolean', default: false })
  seen: boolean;

  @Column({ type: 'longtext', nullable: true })
  message?: string;
}
