import { Injectable } from '@nestjs/common';
import { CreateNotificationDto } from './dto/create-notification.dto';
import { NotificationRepository } from "./notification.repository";
import { InjectRepository } from "@nestjs/typeorm";
import { NotificationByUserIdDto } from "./dto/notification-by-userid.dto";
import { UpdateNotificationDto } from "./dto/update-notification.dto";

@Injectable()
export class NotificationService {  
  constructor(@InjectRepository(NotificationRepository) private readonly repository: NotificationRepository) { }

  async create(dto: CreateNotificationDto) {
    return await this.repository.createEntity(dto);
  }

  async findNotificationsByUserId(dto: NotificationByUserIdDto) {
    return await this.repository.findByFilterQuery(dto);
  }

  async update(dto: UpdateNotificationDto) {
    const { id, userId, ...restDto } = dto;
    await this.repository.updateEntity(id, restDto);
    return await this.findNotificationsByUserId({ userId })
  }
}
