import {Column, Entity} from "typeorm";
import {CoreEntity} from "../../../core/core.entity";


@Entity("users")
export class User extends CoreEntity {
    @Column({default: null, nullable: true})
    firstName: string;

    @Column({default: null, nullable: true})
    lastName: string;

    @Column({unique: true})
    email: string;

    @Column()
    password: string;

    @Column({default: null, nullable: true})
    phone: string;

    @Column({default: "default.png", nullable: true})
    image: string;

    @Column({name: "role", default: 3})
    role: UserRole;

    @Column({name: "userType", default: "customer"})
    userType: string;
}
